Subject: Re: [PATCH v2 2/9] Documentation/git-send-pack.txt: Flow long synopsis line

From: Junio C Hamano <[email-masked]>
Date: Fri, 11 Sep 2015 09:22:11 -0700

Junio C Hamano <[email-masked]> writes:

> Dave Borowitz <[email-masked]> writes:
>
>> I produced the patch with "git format-patch --subject-prefix='PATCH
>> v2' --cover-letter @{u}.." and mailed with "git send-email
>> --to=[email-masked],[email-masked] 0*.patch"; is there a way
>> that would have preserved whitespace better?
>
> No need to worry, I suspect that this is a local Emacs/GNUS glitch
> on the receiving end.  Sorry for a noise.

PSA, as I figured this out.

It turns out that gnus-treat-fill-long-lines was set to (typep
"text/plain"), which meant that I cannot trust what I see in my MUA
as an exact copy of the patch the sender intended to give me.

Here is what "Describe variable" gave me (after I fixed it, that is).

    ---
    gnus-treat-fill-long-lines's value is nil
    Original value was 
    (typep "text/plain")

    Documentation:
    Fill long lines.
    Valid values are nil, t, `head', `first', `last', an integer or a
    predicate.  See Info node `(gnus)Customizing Articles'.

    You can customize this variable.

    This variable was introduced, or its default value was changed, in
    version 24.1 of Emacs.
    ---